[Rubyinstaller-devel] my old gripe :)

Luis Lavena luislavena at gmail.com
Wed Jun 4 03:44:34 EDT 2008


On Tue, Jun 3, 2008 at 9:11 PM, Roger Pack
<roger.pack at leadmediapartners.com> wrote:
> I'm slightly confused as to how to use gems with the latest git mingw installer.
>
> I'd think that I should be able to run
>
> c:\dev\latest\rubyinstaller\sandbox>  rubygems_mingw\bin\gem.bat list
>

For the ruby interpreter to work you need 'bin' folder in the PATH

There was a change in rubygems between 1.0 and 1.1 to allow
installation of gems outside the default gem home.

> and it would show 'no gems listed'
> It defaults instead to using the installed msvc ruby.exe
> Glancing at it I assume we have to install to c:\Ruby now?
>
> Here's my attempt to run it with the right ruby.exe
>
> c:\dev\latest\rubyinstaller\sandbox>ruby_mingw\bin\ruby.exe
> rubygems_mingw\bin\gem
> rubygems_mingw/bin/gem:8:in `require': no such file to load --
> rubygems (LoadError)
>        from rubygems_mingw/bin/gem:8
>
>
> As a side note, you may also you may want to consider a few more
> explicit directory names, since they were somewhat confusing to me
> this [and every] time.
> ruby_1_8 -> ruby_1_8_src
> rubygems -> rubygems_src
>

That is doable.

> To avoid confusion.
> I could do it if you want.

Please, feel free to fork rubyinstaller repository at github and test
it by yourself, then send me a pull request. I don't have enough time
(or battery) right now to do it.

-- 
Luis Lavena
AREA 17
-
Human beings, who are almost unique in having the ability to learn from
the experience of others, are also remarkable for their apparent
disinclination to do so.
Douglas Adams


More information about the Rubyinstaller-devel mailing list